TIMEOUT(1)

NOM
timeout - Exécuter une commande avec une limite de temps

SYNOPSIS
timeout [OPTION] DURÉE COMMANDE [PARAM]...
timeout [OPTION]

DESCRIPTION

Lancer COMMANDE et la tuer si elle est toujours en cours après la DURÉE indiquée.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-f, --foreground

    Quand timeout n'est pas est exécuté directement à partir de l'invite d'un interpréteur, permettre à COMMANDE de lire depuis le terminal (TTY) et de recevoir des signaux du terminal. Avec cette option, les processus enfant de COMMANDE ne seront pas limités dans le temps.

-k, --kill-after=DURÉE

    Envoyer aussi un signal KILL si la COMMANDE est toujours en cours après que le signal a été envoyé.

-p, --preserve-status

    Renvoyer le même état de fin d'exécution que COMMANDE, même si la commande dépasse le temps imparti.

-s, --signal=SIGNAL

    Indiquer que le signal doit être envoyé avec un délai ; SIGNAL peut être un nom, comme « HUP », ou un numéro. Consultez « kill -l » pour une liste des signaux.

-v, --verbose
    Indiquer sur la sortie d'erreur standard tout signal envoyé lors de l'expiration de la limite de temps.

--help
    Afficher l'aide-mémoire et quitter.

--version
    Afficher les informations de version et quitter.

DURÉE est un nombre à virgule flottante avec un suffixe optionnel, qui peut être « s » pour seconde (par défaut), « m » pour minute, « h » pour heure ou « d » pour jour. Une durée de 0 désactive la limitation de temps associée.

Lors de l'expiration de la limite de temps, envoyer le signal TERM à la COMMANDE si aucun autre SIGNAL n'est indiqué. Le signal TERM tue tous les processus qui ne bloquent ni n'interceptent ce signal. Il peut être nécessaire d'utiliser le signal KILL, puisque ce signal ne peut être intercepté.

  Code de retour :

124 si la commande dépasse le temps imparti et que l'option --preserve-status n'est pas spécifiée

125 si la commande timeout elle-même échoue

126 si COMMANDE est trouvée, mais ne peut pas être invoquée

127 si COMMANDE ne peut pas être trouvée

137 si COMMANDE (ou timeout elle-même) a reçu le signal KILL(9) (128+9)

-   le code de retour de la COMMANDE sinon

BOGUES
Certaines plateformes n'acceptent pas, pour le moment, de délais supérieurs à l'année 2038.

AUTEUR
Écrit par Padraig Brady.

SIGNALER DES BOGUES
Aide en ligne de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

VOIR AUSSI
kill(1)

Documentation complète : <https://www.gnu.org/software/coreutils/timeout>
aussi disponible localement à l’aide de la commande : info '(coreutils) timeout'

Empaqueté par Debian (9.7-2)
Copyright © 2025 Free Software Foundation, Inc.
Licence GPLv3+ : GNU GPL version 3 ou supérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer.
Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

TRADUCTION
La traduction française de cette page de manuel a été créée par Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org>, Jean-Philippe MENGUAL <jpmengual@debian.org> et Jean-Pierre Giraud <jean-pierregiraud@neuf.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.